Update Consignment

Updates an existing consignment. An update is either one of the following: 1. Updates the consignment address and/or line items. 2. Selects a specific fulfillment option. ### Update the consignment address and line items For this type of update, the payload is the same as when creating a new consignment. Update each *Consignment* `shippingOptionId` (shipping address and line items) with the `availableShippingOption > id` from the POST `/consignment` response. **Note:** Updating a consignment could invalidate the value for `selectedShippingOption` and `selectedPickupOption`. ### Select a specific fulfillment option Before placing an order, each consignment must have a `selectedShippingOption` or a `selectedPickupOption`. If the consignment already has a pick-up option selected and a shipping option is provided, the pick-up option will be deselected and the shipping option will be selected instead (and vice versa). The `PUT` request will fail if it contains a shipping option ID and a pickup option ID. Required Fields: * `shippingOptionId` or `pickupOptionId` * `lineItems` To learn more about creating a Checkout Consignment see [Checkout Consignment API](/developer/docs/admin/checkout-and-cart/custom-checkouts/consignments). > #### Notes > * You cannot pass both an `address` and a `shippingOptionId` because the shipping option may not be available for the new address > * Substitute your storefront domain for `yourstore.example.com`. > * The Send a Test Request feature is not currently supported for this endpoint. > * Please note that this API endpoint is not concurrent safe, meaning multiple simultaneous requests could result in unexpected and inconsistent results. > * This endpoint requires using Stencil CLI, a local session, and a csrf token to work.

Path parameters

checkoutIdstringRequired
consignmentIdstringRequired

Query parameters

includelist of enumsOptional
* `cart.lineItems.physicalItems.options` - physical options * `cart.lineItems.digitalItems.options` - digital options * `cart.lineItems.physicalItems.categoryNames` - physical categories * `cart.lineItems.digitalItems.categoryNames` - digital categories * `cart.lineItems.customItems.categoryNames` - custom categories * `customer` - customer * `customer.customerGroup` - customer group * `payments` - payments * `promotions` - promotions * `consignments.availableShippingOptions` - shipping options * `consignments.availablePickupOptions` - pickup options

Request

This endpoint expects an object.
shippingAddressobjectOptional
addressobjectOptional
lineItemslist of objectsOptional
shippingOptionIdstringOptional
pickupOptionobjectOptional
versionintegerOptional

The cart version that you expect to apply the updates. If the provided version doesn’t match the current cart version, you will receive a conflict error. This field is optional; if not provided, optimistic concurrency control will not apply.

Response

billingAddressobject
cartobject

A cart contains a collection of items, prices, discounts, etc. It does not contain customer-related data.

channelIdinteger
Channel ID.
consignmentslist of objects
couponslist of objects
Coupons applied at the checkout level.
feeslist of objects
Fees applied at the checkout level.
createdTimestring
Time when the cart was created.
customerobject
Customer details.
customerMessagestring

Shopperʼs message provided as details for the order to be created from this cart

giftCertificateslist of objects

Applied gift certificate (as a payment method).

giftWrappingCostTotaldouble
Gift wrapping cost for all items, including or excluding tax.
grandTotaldouble
The total payable amount, before applying any store credit or gift certificate.
handlingCostTotaldouble
Handling cost for all consignments including or excluding tax.
idstringformat: "uuid"
isStoreCreditAppliedboolean

true value indicates StoreCredit has been applied.

orderIdstring or null
outstandingBalancedouble

grandTotal subtract the store-credit amount

paymentslist of objects
promotionslist of objects
shippingCostBeforeDiscountdouble
Total shipping cost for the checkout before discounts are applied.
comparisonShippingCostdouble
Total shipping cost for the checkout after automatic promotions are applied.
shippingCostTotaldouble
Shipping cost before any discounts are applied.
shouldExecuteSpamCheckboolean
subtotaldouble

Subtotal of the checkout before applying item-level discounts. Tax inclusive based on the store settings.

taxeslist of objects
taxTotaldouble
updatedTimestring
Time when the cart was last updated.
versioninteger
The current version of the checkout increments with each successful update. You can use it to enable optimistic concurrency control for subsequent updates.

Errors

409
Conflict Error